<div class="container">
    <mat-card>
     <mat-card-content>
        <form #loginData="ngForm" class="flex-column">
          <h2>Please login to continue</h2>
          <!--<div class="flex-row flex layout-align-space-between-center">
            <mat-icon class="email">account_circle</mat-icon>
              <mat-form-field appearance="fill">
                  <input matInput id="userId" name="loginId" #loginIdInput="ngModel" type="text" placeholder=" User Id" [(ngModel)]="data.id"[required]="true">
                  <mat-error *ngIf="loginIdInput.errors">
                      <div *ngIf="loginIdInput.errors.required">This field is required</div>
                  </mat-error>
              </mat-form-field>
          </div>-->
            <div class="flex-row flex layout-align-space-between-center">
              <mat-icon class="email">account_circle</mat-icon>
                <mat-form-field appearance="fill">
                    <input matInput id="userEmail" name="loginEmail" #loginUserInput="ngModel" type="email" placeholder="Email" [(ngModel)]="data.email"[required]="true" pattern="([a-zA-Z0-9_\-\.]+)@([a-zA-Z0-9_\-\.]+)\.([a-zA-Z]{2,5})$">
                    <mat-error *ngIf="loginUserInput.errors">
                        <div *ngIf="loginUserInput.errors.required">This field is required</div>
                        <div *ngIf="loginUserInput.errors.pattern">Not a valid email address</div>
                    </mat-error>
                </mat-form-field>
            </div>
            <!--<div class="flex-row flex layout-align-space-between-center">
                <mat-icon class="email">account_circle</mat-icon>
                  <mat-form-field appearance="fill">
                      <input matInput id="userName" name="loginName" #loginNameInput="ngModel" type="email" placeholder=Name [(ngModel)]="data.name"[required]="true">
                      <mat-error *ngIf="loginNameInput.errors">
                          <div *ngIf="loginNameInput.errors.required">This field is required</div>
                      </mat-error>
                  </mat-form-field>
              </div>-->
            <div class="flex-row flex layout-align-space-between-center">
                <button mat-icon-button>
                    <mat-icon (click)="hide = !hide">{{hide ? 'visibility_off' : 'visibility'}}</mat-icon>
                </button>
                <mat-form-field class="password" appearance="fill">
                    <input matInput name="loginPassword" [type]="hide ? 'password' : 'text'" #loginPassInput="ngModel" type="password" placeholder="Password" [(ngModel)]="data.password" [required]="true" [minlength]="5">
                    <mat-error *ngIf="loginPassInput.errors">
                        <div *ngIf="loginPassInput.errors.required">This field is required</div>
                        <div *ngIf="loginPassInput.errors.minlength">Min 5 characters are allowed</div>
                    </mat-error>
                </mat-form-field>
            </div>
                <div>
                    <button type="button" mat-raised-button (click)="onLoginSubmit()"
                    [disabled]="loginData.invalid">Login</button>
                </div><br />
            </form>
        </mat-card-content>
    </mat-card>
</div>